| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class SourceFile

    java.lang.Object
      |
      +--SourceFile

public class SourceFile
extends java.lang.Object

Field Summary
`de.dhbwstuttgart.typeinference.Menge` | `KlassenVektor`

Constructor Summary
`SourceFile()`

Method Summary
`(package private) Pair` | `adapt(java.lang.String strTV, Type T, de.dhbwstuttgart.typeinference.Menge vRFC, de.dhbwstuttgart.typeinference.Menge vRE)`
`void` | `codegen(boolean system_out)`
`(package private) boolean` | `hasSolvedForm(de.dhbwstuttgart.typeinference.Menge E)`
`(package private) Pair` | `isInFC(RefType R1, RefType R2, de.dhbwstuttgart.typeinference.Menge FC)`
`boolean` | `isRealSubClass(java.lang.String Basis, java.lang.String Mutter)`
`(package private) boolean` | `isRXSimilarRY(RefType RFC, RefType RY)`
`(package private) boolean` | `isTVinRefType(TyploseVariable TV, RefType RT)`
`de.dhbwstuttgart.typeinference.Menge` | `makeFC()`
`int` | `pi(int n, java.lang.String C, java.lang.String D)`
`void` | `printMenge(java.lang.String strMenge, de.dhbwstuttgart.typeinference.Menge E, int nDebug)`
`void` | `sc_check(boolean ext)`
`void` | `set_Class(Class c)`
`(package private) void` | `Subst(Pair P, int nTypnrInPair, TyploseVariable a, RefType o, boolean bMitVorbedingung)`
`de.dhbwstuttgart.typeinference.Menge` | `unify(de.dhbwstuttgart.typeinference.Menge E, de.dhbwstuttgart.typeinference.Menge FC)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KlassenVektor

    public de.dhbwstuttgart.typeinference.Menge KlassenVektor

Constructor Detail

### SourceFile

    public SourceFile()

Method Detail

### sc_check

    public void sc_check(boolean ext)
                  throws SCException

    `SCException`

### makeFC

    public de.dhbwstuttgart.typeinference.Menge makeFC()

### unify

    public de.dhbwstuttgart.typeinference.Menge unify(de.dhbwstuttgart.typeinference.Menge E,
                                  de.dhbwstuttgart.typeinference.Menge FC)

### adapt

    Pair adapt(java.lang.String strTV,
               Type T,
               de.dhbwstuttgart.typeinference.Menge vRFC,
               de.dhbwstuttgart.typeinference.Menge vRE)

### isRXSimilarRY

    boolean isRXSimilarRY(RefType RFC,
                          RefType RY)

### isInFC

    Pair isInFC(RefType R1,
                RefType R2,
                de.dhbwstuttgart.typeinference.Menge FC)

### isTVinRefType

    boolean isTVinRefType(TyploseVariable TV,
                          RefType RT)

### Subst

    void Subst(Pair P,
               int nTypnrInPair,
               TyploseVariable a,
               RefType o,
               boolean bMitVorbedingung)

### isRealSubClass

    public boolean isRealSubClass(java.lang.String Basis,
                                  java.lang.String Mutter)

### pi

    public int pi(int n,
                  java.lang.String C,
                  java.lang.String D)
           throws SCException

    `SCException`

### printMenge

    public void printMenge(java.lang.String strMenge,
                           de.dhbwstuttgart.typeinference.Menge E,
                           int nDebug)

### hasSolvedForm

    boolean hasSolvedForm(de.dhbwstuttgart.typeinference.Menge E)

### set_Class

    public void set_Class(Class c)

### codegen

    public void codegen(boolean system_out)

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD